Bug 1137825 - (CVE-2019-12387) VUL-0: CVE-2019-12387: python-Twisted: invalid sanitization of URIs or HTTP methods
(CVE-2019-12387)
VUL-0: CVE-2019-12387: python-Twisted: invalid sanitization of URIs or HTTP m...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/234648/
CVSSv2:NVD:CVE-2019-12387:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-11 07:40 UTC by Alexander Bergmann
Modified: 2021-08-09 06:50 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Thomas Bechtold 2019-06-11 09:53:41 UTC
SR is https://build.suse.de/request/show/194681
Comment 2 Swamp Workflow Management 2019-06-12 06:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1137825) was mentioned in
https://build.opensuse.org/request/show/709323 Factory / python-Twisted
Comment 3 Thomas Bechtold 2019-06-12 06:52:32 UTC
- openSUSE:Factory : https://build.opensuse.org/request/show/709323
- SUSE:SLE-15:Update : https://build.suse.de/request/show/194778
- SUSE:SLE-12:Update : https://build.suse.de/request/show/194681
Comment 4 Swamp Workflow Management 2019-07-03 13:11:08 UTC
SUSE-SU-2019:1731-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1137825
CVE References: CVE-2019-12387
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    python-Twisted-17.9.0-3.3.4
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    python-Twisted-17.9.0-3.3.4

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-07-21 10:13:58 UTC
openSUSE-SU-2019:1760-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1137825
CVE References: CVE-2019-12387
Sources used:
openSUSE Leap 15.1 (src):    python-Twisted-17.9.0-lp151.3.3.1
openSUSE Leap 15.0 (src):    python-Twisted-17.9.0-lp150.2.3.1
Comment 6 Swamp Workflow Management 2019-07-21 19:11:13 UTC
openSUSE-SU-2019:1785-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1137825
CVE References: CVE-2019-12387
Sources used:
openSUSE Backports SLE-15 (src):    python-Twisted-17.9.0-bp150.4.3.1
Comment 7 Swamp Workflow Management 2020-02-04 07:50:07 UTC
This is an autogenerated message for OBS integration:
This bug (1137825) was mentioned in
https://build.opensuse.org/request/show/769860 Factory / python-Twisted
Comment 9 Alexandros Toptsoglou 2020-04-27 15:31:38 UTC
Done
Comment 10 OBSbugzilla Bot 2020-10-12 22:30:11 UTC
This is an autogenerated message for OBS integration:
This bug (1137825) was mentioned in
https://build.opensuse.org/request/show/841360 Factory / python-Twisted
Comment 11 OBSbugzilla Bot 2021-08-09 06:50:11 UTC
This is an autogenerated message for OBS integration:
This bug (1137825) was mentioned in
https://build.opensuse.org/request/show/910780 Factory / python-Twisted